Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::TCPProtocolProperties Interface Reference

`#include <RTCORBAC.h>`

Inheritance diagram for RTCORBA::TCPProtocolProperties:

[legend]
Collaboration diagram for RTCORBA::TCPProtocolProperties:

[legend]
List of all members.

## Public Types
typedef TCPProtocolProperties_ptr | _ptr_type
typedef TCPProtocolProperties_var | _var_type
## Public Methods
virtual CORBA::Long | send_buffer_size (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | send_buffer_size (CORBA::Long send_buffer_size ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Long | recv_buffer_size (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | recv_buffer_size (CORBA::Long recv_buffer_size ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | keep_alive (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | keep_alive (CORBA::Boolean keep_alive ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | dont_route (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | dont_route (CORBA::Boolean dont_route ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | no_delay (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | no_delay (CORBA::Boolean no_delay ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | enable_network_priority (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | enable_network_priority (CORBA::Boolean no_delay ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void * | _tao_QueryInterface (ptr_arith_t type)
virtual const char * | _interface_repository_id (void) const
## Static Public Methods
TCPProtocolProperties_ptr | _duplicate (TCPProtocolProperties_ptr obj)
TCPProtocolProperties_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
TCPProtocolProperties_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
TCPProtocolProperties_ptr | _nil (void)
## Public Attributes
attribute long | send_buffer_size
attribute long | recv_buffer_size
attribute boolean | keep_alive
attribute boolean | dont_route
attribute boolean | no_delay
attribute boolean | enable_network_priority
## Static Public Attributes
int | _tao_class_id
## Protected Methods
| TCPProtocolProperties (void)
virtual | ~TCPProtocolProperties (void)
## Private Methods
| TCPProtocolProperties (const TCPProtocolProperties &)
void | operator= (const TCPProtocolProperties &)

## Member Typedef Documentation

typedef TCPProtocolProperties_ptr RTCORBA::TCPProtocolProperties::_ptr_type

| Reimplemented from RTCORBA::ProtocolProperties.

typedef TCPProtocolProperties_var RTCORBA::TCPProtocolProperties::_var_type

| Reimplemented from RTCORBA::ProtocolProperties.

## Constructor & Destructor Documentation

RTCORBA::TCPProtocolProperties::TCPProtocolProperties | ( | void |  | ) | `[protected]`

virtual RTCORBA::TCPProtocolProperties::~TCPProtocolProperties | ( | void |  | ) | `[protected, virtual]`

RTCORBA::TCPProtocolProperties::TCPProtocolProperties | ( | const TCPProtocolProperties & |  | ) | `[private]`

## Member Function Documentation

TCPProtocolProperties_ptr RTCORBA::TCPProtocolProperties::_duplicate | ( | TCPProtocolProperties_ptr | obj | ) | `[static]`

virtual const char* RTCORBA::TCPProtocolProperties::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from RTCORBA::ProtocolProperties.

TCPProtocolProperties_ptr RTCORBA::TCPProtocolProperties::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from RTCORBA::ProtocolProperties.

TCPProtocolProperties_ptr RTCORBA::TCPProtocolProperties::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from RTCORBA::ProtocolProperties.

virtual void* RTCORBA::TCPProtocolProperties::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Reimplemented from RTCORBA::ProtocolProperties.

TCPProtocolProperties_ptr RTCORBA::TCPProtocolProperties::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from RTCORBA::ProtocolProperties.

virtual void RTCORBA::TCPProtocolProperties::dont_route | ( | CORBA::Boolean dont_route | ACE_ENV_ARG_DECL_NOT_USED | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_TCP_Properties.

virtual CORBA::Boolean RTCORBA::TCPProtocolProperties::dont_route | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_TCP_Properties.

virtual void RTCORBA::TCPProtocolProperties::enable_network_priority | ( | CORBA::Boolean no_delay | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

virtual CORBA::Boolean RTCORBA::TCPProtocolProperties::enable_network_priority | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_TCP_Properties.

virtual void RTCORBA::TCPProtocolProperties::keep_alive | ( | CORBA::Boolean keep_alive | ACE_ENV_ARG_DECL_NOT_USED | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_TCP_Properties.

virtual CORBA::Boolean RTCORBA::TCPProtocolProperties::keep_alive | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_TCP_Properties.

virtual void RTCORBA::TCPProtocolProperties::no_delay | ( | CORBA::Boolean no_delay | ACE_ENV_ARG_DECL_NOT_USED | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_TCP_Properties.

virtual CORBA::Boolean RTCORBA::TCPProtocolProperties::no_delay | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_TCP_Properties.

void RTCORBA::TCPProtocolProperties::operator= | ( | const TCPProtocolProperties & |  | ) | `[private]`

virtual void RTCORBA::TCPProtocolProperties::recv_buffer_size | ( | CORBA::Long recv_buffer_size | ACE_ENV_ARG_DECL_NOT_USED | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_TCP_Properties.

virtual CORBA::Long RTCORBA::TCPProtocolProperties::recv_buffer_size | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_TCP_Properties.

virtual void RTCORBA::TCPProtocolProperties::send_buffer_size | ( | CORBA::Long send_buffer_size | ACE_ENV_ARG_DECL_NOT_USED | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_TCP_Properties.

virtual CORBA::Long RTCORBA::TCPProtocolProperties::send_buffer_size | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_TCP_Properties.

## Member Data Documentation

int RTCORBA::TCPProtocolProperties::_tao_class_id`[static]`

| Reimplemented from RTCORBA::ProtocolProperties.

attribute boolean RTCORBA::TCPProtocolProperties::dont_route

attribute boolean RTCORBA::TCPProtocolProperties::enable_network_priority

attribute boolean RTCORBA::TCPProtocolProperties::keep_alive

attribute boolean RTCORBA::TCPProtocolProperties::no_delay

attribute long RTCORBA::TCPProtocolProperties::recv_buffer_size

attribute long RTCORBA::TCPProtocolProperties::send_buffer_size

The documentation for this interface was generated from the following files:

- RTCORBA.pidl
- RTCORBAC.h